Bug 174269 - On shutdown Error - unable to connect to audit system
On shutdown Error - unable to connect to audit system
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-26 18:37 EST by Alexander Valdez
Modified: 2015-01-04 17:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 21:57:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Valdez 2005-11-26 18:37:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
Have dmesg attached.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. do shutdown




  

Actual Results:  After power down message:
Error: unable to connect to audit system
shutdown completes (with a stack trace)
Badness in send_IPI_mask_bitmask at arch/i386/kernel/smp.c:168 (not tainted)
Send_IPL_mask_bitmask +0x78/0x7a
smp_send_reschedule +0x1a/0x1b
_migrate_task +0xab/0xad
migration_thread +0x92/0x114
migration_thread +0x0/0x114
kthread +0x93/0x97
kthread +0x0/0x97
kernel_thread_helper +0x5/0xb

Expected Results:  No stacktrace after "power down" message

Additional info:

dmesg attached
Comment 1 Alexander Valdez 2005-11-26 18:42:50 EST
Linux version 2.6.14-1.1637_FC4smp (bhcompile@hs20-bc1-4.build.redhat.com) (gcc
version 4.0.1 20050727 (Red Hat 4.0.1-5)) #1 SMP Wed Nov 9 18:34:11 EST 2005
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 0000000017ff0000 (usable)
 BIOS-e820: 0000000017ff0000 - 0000000017ff3000 (ACPI NVS)
 BIOS-e820: 0000000017ff3000 - 0000000018000000 (ACPI data)
 BIOS-e820: 00000000fec00000 - 00000000fec01000 (reserved)
 BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
 BIOS-e820: 00000000ffff0000 - 0000000100000000 (reserved)
0MB HIGHMEM available.
383MB LOWMEM available.
found SMP MP-table at 000f5770
Using x86 segment limits to approximate NX protection
On node 0 totalpages: 98288
  DMA zone: 4096 pages, LIFO batch:1
  Normal zone: 94192 pages, LIFO batch:31
  HighMem zone: 0 pages, LIFO batch:1
DMI 2.3 present.
Using APIC driver default
ACPI: RSDP (v000 VIA694                                ) @ 0x000f70b0
ACPI: RSDT (v001 VIA694 AWRDACPI 0x42302e31 AWRD 0x00000000) @ 0x17ff3000
ACPI: FADT (v001 VIA694 AWRDACPI 0x42302e31 AWRD 0x00000000) @ 0x17ff3040
ACPI: MADT (v001 VIA694          0x00000000  0x00000000) @ 0x17ff56c0
ACPI: DSDT (v001 VIA694 AWRDACPI 0x00001000 MSFT 0x0100000c) @ 0x00000000
ACPI: BIOS age (2000) fails cutoff (2001), acpi=force is required to enable ACPI
ACPI: Disabling ACPI support
Intel MultiProcessor Specification v1.4
    Virtual Wire compatibility mode.
OEM ID: OEM00000 Product ID: PROD00000000 APIC at: 0xFEE00000
Processor #0 6:8 APIC version 17
Processor #1 6:8 APIC version 17
I/O APIC #2 Version 17 at 0xFEC00000.
Enabling APIC mode:  Flat.  Using 1 I/O APICs
Processors: 2
Allocating PCI resources starting at 20000000 (gap: 18000000:e6c00000)
Built 1 zonelists
Kernel command line: ro root=/dev/VolGroup00/LogVol00 rhgb audit=1
audit: enabled (after initialization)
mapped APIC to ffffd000 (fee00000)
mapped IOAPIC to ffffc000 (fec00000)
Initializing CPU#0
CPU 0 irqstacks, hard=c0449000 soft=c0429000
PID hash table entries: 2048 (order: 11, 32768 bytes)
Detected 732.256 MHz processor.
Using tsc for high-res timesource
Console: colour VGA+ 80x25
Dentry cache hash table entries: 65536 (order: 6, 262144 bytes)
Inode-cache hash table entries: 32768 (order: 5, 131072 bytes)
Memory: 382524k/393152k available (2177k kernel code, 10084k reserved, 808k
data, 224k init, 0k highmem)
Checking if this processor honours the WP bit even in supervisor mode... Ok.
Calibrating delay using timer specific routine.. 1467.37 BogoMIPS (lpj=2934759)
Security Framework v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Mount-cache hash table entries: 512
CPU: After generic identify, caps: 0383fbff 00000000 00000000 00000000 00000000
00000000 00000000
CPU: After vendor identify, caps: 0383fbff 00000000 00000000 00000000 00000000
00000000 00000000
CPU: L1 I cache: 16K, L1 D cache: 16K
CPU: L2 cache: 256K
CPU: After all inits, caps: 0383f3ff 00000000 00000000 00000040 00000000
00000000 00000000
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
mtrr: v2.0 (20020519)
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Checking 'hlt' instruction... OK.
CPU0: Intel Pentium III (Coppermine) stepping 03
Booting processor 1/1 eip 2000
CPU 1 irqstacks, hard=c044a000 soft=c042a000
Initializing CPU#1
Calibrating delay using timer specific routine.. 1464.40 BogoMIPS (lpj=2928806)
CPU: After generic identify, caps: 0383fbff 00000000 00000000 00000000 00000000
00000000 00000000
CPU: After vendor identify, caps: 0383fbff 00000000 00000000 00000000 00000000
00000000 00000000
CPU: L1 I cache: 16K, L1 D cache: 16K
CPU: L2 cache: 256K
CPU: After all inits, caps: 0383f3ff 00000000 00000000 00000040 00000000
00000000 00000000
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#1.
CPU1: Intel Pentium III (Coppermine) stepping 03
Total of 2 processors activated (2931.78 BogoMIPS).
ENABLING IO-APIC IRQs
..TIMER: vector=0x31 pin1=2 pin2=0
checking TSC synchronization across 2 CPUs: passed.
Brought up 2 CPUs
checking if image is initramfs... it is
Freeing initrd memory: 1660k freed
NET: Registered protocol family 16
PCI: PCI BIOS revision 2.10 entry at 0xfb3a0, last bus=1
PCI: Using configuration type 1
mtrr: your CPUs had inconsistent fixed MTRR settings
mtrr: your CPUs had inconsistent variable MTRR settings
mtrr: probably your BIOS does not setup all CPUs.
mtrr: corrected configuration.
ACPI: Subsystem revision 20050902
ACPI: Interpreter disabled.
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI: disabled
usbcore: registered new driver usbfs
usbcore: registered new driver hub
PCI: Probing PCI hardware
PCI: Probing PCI hardware (bus 00)
PCI quirk: region 6000-607f claimed by vt82c868 HW-mon
PCI quirk: region 5000-500f claimed by vt82c868 SMB
Boot video device is 0000:01:00.0
PCI: Using IRQ router VIA [1106/0686] at 0000:00:07.0
PCI->APIC IRQ transform: 0000:00:07.2[D] -> IRQ 161
PCI->APIC IRQ transform: 0000:00:07.3[D] -> IRQ 161
PCI->APIC IRQ transform: 0000:00:0a.0[A] -> IRQ 145
PCI->APIC IRQ transform: 0000:00:0c.0[A] -> IRQ 161
PCI->APIC IRQ transform: 0000:00:0e.0[A] -> IRQ 153
PCI->APIC IRQ transform: 0000:01:00.0[A] -> IRQ 137
PCI: Bridge: 0000:00:01.0
  IO window: disabled.
  MEM window: dc000000-ddffffff
  PREFETCH window: d4000000-dbffffff
PCI: Setting latency timer of device 0000:00:01.0 to 64
apm: BIOS version 1.2 Flags 0x07 (Driver version 1.16ac)
apm: disabled - APM is not SMP safe.
audit: initializing netlink socket (enabled)
audit(1133021977.480:1): initialized
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
SELinux:  Registering netfilter hooks
Initializing Cryptographic API
ksign: Installing public key data
Loading keyring
- Added public key 2A9D19A62139EA9
- User ID: Red Hat, Inc. (Kernel Module GPG key)
PCI: Enabling Via external APIC routing
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Real Time Clock Driver v1.12
Linux agpgart interface v0.101 (c) Dave Jones
agpgart: Detected VIA Apollo Pro 133 chipset
agpgart: AGP aperture is 64M @ 0xd0000000
PNP: No PS/2 controller found. Probing ports directly.
serio: i8042 AUX port at 0x60,0x64 irq 12
serio: i8042 KBD port at 0x60,0x64 irq 1
Serial: 8250/16550 driver $Revision: 1.90 $ 32 ports, IRQ sharing enabled
ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
ttyS1 at I/O 0x2f8 (irq = 3) is a 16550A
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered
RAMDISK driver initialized: 16 RAM disks of 16384K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
VP_IDE: IDE controller at PCI slot 0000:00:07.1
PCI: Via IRQ fixup for 0000:00:07.1, from 255 to 0
VP_IDE: chipset revision 6
VP_IDE: not 100% native mode: will probe irqs later
VP_IDE: VIA vt82c686b (rev 40) IDE UDMA100 controller on pci0000:00:07.1
    ide0: BM-DMA at 0xc000-0xc007, BIOS settings: hda:DMA, hdb:pio
    ide1: BM-DMA at 0xc008-0xc00f, BIOS settings: hdc:DMA, hdd:pio
Probing IDE interface ide0...
hda: WDC WD102AA, ATA DISK drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Probing IDE interface ide1...
hdc: SONY DVD RW DRU-800A, ATAPI CD/DVD-ROM drive
ide1 at 0x170-0x177,0x376 on irq 15
HPT370: IDE controller at PCI slot 0000:00:0e.0
PCI: Enabling device 0000:00:0e.0 (0005 -> 0007)
HPT370: chipset revision 3
HPT370: 100% native mode on irq 153
HPT37X: using 33MHz PCI clock
    ide2: BM-DMA at 0xe400-0xe407, BIOS settings: hde:DMA, hdf:pio
HPT37X: using 33MHz PCI clock
    ide3: BM-DMA at 0xe408-0xe40f, BIOS settings: hdg:pio, hdh:pio
Probing IDE interface ide2...
hde: ST330621A, ATA DISK drive
ide2 at 0xd400-0xd407,0xd802 on irq 153
Probing IDE interface ide3...
Probing IDE interface ide3...
hda: max request size: 128KiB
hda: 20044080 sectors (10262 MB) w/2048KiB Cache, CHS=19885/16/63, UDMA(66)
hda: cache flushes not supported
 hda: hda1 hda2
hde: max request size: 128KiB
hde: 58633344 sectors (30020 MB) w/512KiB Cache, CHS=58168/16/63, UDMA(100)
hde: cache flushes not supported
 hde: hde1 hde2 hde3 hde4
hdc: ATAPI 48X DVD-ROM DVD-R CD-R/RW drive, 2048kB Cache
Uniform CD-ROM driver Revision: 3.20
ide-floppy driver 0.99.newide
usbcore: registered new driver hiddev
usbcore: registered new driver usbhid
drivers/usb/input/hid-core.c: v2.6:USB HID core driver
mice: PS/2 mouse device common for all mice
md: md driver 0.90.2 MAX_MD_DEVS=256, MD_SB_DISKS=27
md: bitmap version 3.39
NET: Registered protocol family 2
input: AT Translated Set 2 keyboard on isa0060/serio0
IP route cache hash table entries: 4096 (order: 2, 16384 bytes)
TCP established hash table entries: 16384 (order: 6, 327680 bytes)
TCP bind hash table entries: 16384 (order: 6, 327680 bytes)
TCP: Hash tables configured (established 16384 bind 16384)
TCP reno registered
TCP bic registered
Initializing IPsec netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
Using IPI Shortcut mode
Freeing unused kernel memory: 224k freed
logips2pp: Detected unknown logitech mouse model 1
device-mapper: 4.4.0-ioctl (2005-01-12) initialised: dm-devel@redhat.com
input: PS/2 Logitech Mouse on isa0060/serio1
cdrom: open failed.
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
security:  3 users, 6 roles, 764 types, 87 bools
security:  55 classes, 182383 rules
SELinux:  Completing initialization.
SELinux:  Setting up existing superblocks.
SELinux: initialized (dev dm-0, type ext3), uses xattr
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev debugfs, type debugfs), uses genfs_contexts
SELinux: initialized (dev selinuxfs, type selinuxfs), uses genfs_contexts
SELinux: initialized (dev mqueue, type mqueue), not configured for labeling
SELinux: initialized (dev hugetlbfs, type hugetlbfs), not configured for labeling
SELinux: initialized (dev devpts, type devpts), uses transition SIDs
SELinux: initialized (dev eventpollfs, type eventpollfs), uses genfs_contexts
SELinux: initialized (dev inotifyfs, type inotifyfs), not configured for labeling
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev futexfs, type futexfs), uses genfs_contexts
SELinux: initialized (dev pipefs, type pipefs), uses task SIDs
SELinux: initialized (dev sockfs, type sockfs), uses task SIDs
SELinux: initialized (dev cpuset, type cpuset), not configured for labeling
SELinux: initialized (dev proc, type proc), uses genfs_contexts
SELinux: initialized (dev bdev, type bdev), uses genfs_contexts
SELinux: initialized (dev rootfs, type rootfs), uses genfs_contexts
SELinux: initialized (dev sysfs, type sysfs), uses genfs_contexts
SELinux: initialized (dev usbfs, type usbfs), uses genfs_contexts
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
natsemi dp8381x driver, version 1.07+LK1.0.17, Sep 27, 2002
  originally by Donald Becker <becker@scyld.com>
  http://www.scyld.com/network/natsemi.html
  2.4.x kernel port by Jeff Garzik, Tjeerd Mulder
natsemi eth0: NatSemi DP8381[56] at 0xdf000000 (0000:00:0c.0),
00:0f:b5:06:29:a6, IRQ 161, port TP.
parport_pc: VIA 686A/8231 detected
parport_pc: probing current configuration
parport_pc: Current parallel port base: 0x378
parport0: PC-style at 0x378, irq 7 [PCSPP,EPP]
parport_pc: VIA parallel port: io=0x378, irq=7
shpchp: acpi_shpchprm:get_device PCI ROOT HID fail=0x1001
USB Universal Host Controller Interface driver v2.3
PCI: Via IRQ fixup for 0000:00:07.2, from 10 to 1
uhci_hcd 0000:00:07.2: UHCI Host Controller
uhci_hcd 0000:00:07.2: new USB bus registered, assigned bus number 1
uhci_hcd 0000:00:07.2: irq 161, io base 0x0000c400
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 2 ports detected
PCI: Via IRQ fixup for 0000:00:07.3, from 10 to 1
uhci_hcd 0000:00:07.3: UHCI Host Controller
uhci_hcd 0000:00:07.3: new USB bus registered, assigned bus number 2
uhci_hcd 0000:00:07.3: irq 161, io base 0x0000c800
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 2 ports detected
SELinux: initialized (dev ramfs, type ramfs), uses genfs_contexts
NET: Registered protocol family 10
Disabled Privacy Extensions on device c0398e80(lo)
IPv6 over IPv4 tunneling driver
audit(1133022012.422:2): avc:  denied  { create } for  pid=1202 comm="hwclock"
scontext=system_u:system_r:hwclock_t tcontext=system_u:system_r:hwclock_t
tclass=netlink_audit_socket
audit(1133022012.422:2): arch=40000003 syscall=102 success=no exit=-13 a0=1
a1=bfb03af0 a2=26d0f8 a3=b42ca0 items=0 pid=1202 auid=4294967295 uid=0 gid=0
euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 comm="hwclock" exe="/sbin/hwclock"
audit(1133022012.422:2): nargs=3 a0=10 a1=3 a2=9
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
cdrom: open failed.
audit(1133022013.870:3): avc:  denied  { write } for  pid=1224 comm="fsck"
name="rhgb-console" dev=ramfs ino=4155 scontext=system_u:system_r:fsadm_t
tcontext=system_u:object_r:ramfs_t tclass=fifo_file
audit(1133022013.870:3): arch=40000003 syscall=11 success=yes exit=0 a0=99e4bc0
a1=99ca7b0 a2=99e4700 a3=0 items=2 pid=1224 auid=4294967295 uid=0 gid=0 euid=0
suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 comm="fsck" exe="/sbin/fsck"
audit(1133022013.870:3):  path="/etc/rhgb/temp/rhgb-console"
audit(1133022013.870:3):  cwd="/"
audit(1133022013.870:3): item=0 name="/sbin/fsck" flags=101
 inode=97534 dev=fd:00 mode=0100755 ouid=0 ogid=0 rdev=00:00
audit(1133022013.870:3): item=1 flags=101
 inode=681502 dev=fd:00 mode=0100755 ouid=0 ogid=0 rdev=00:00
EXT3 FS on dm-0, internal journal
kjournald starting.  Commit interval 5 seconds
EXT3 FS on hda1, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
SELinux: initialized (dev hda1, type ext3), uses xattr
kjournald starting.  Commit interval 5 seconds
EXT3 FS on hde2, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
SELinux: initialized (dev hde2, type ext3), uses xattr
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
kjournald starting.  Commit interval 5 seconds
EXT3 FS on hde1, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
SELinux: initialized (dev hde1, type ext3), uses xattr
Adding 786424k swap on /dev/VolGroup00/LogVol01.  Priority:-1 extents:1
across:786424k
SELinux: initialized (dev binfmt_misc, type binfmt_misc), uses genfs_contexts
ip_tables: (C) 2000-2002 Netfilter core team
Netfilter messages via NETLINK v0.30.
ip_conntrack version 2.3 (3071 buckets, 24568 max) - 236 bytes per conntrack
eth0: DSPCFG accepted after 0 usec.
eth0: link up.
eth0: Setting full-duplex based on negotiated link capability.
audit(1133022020.867:4): avc:  denied  { write } for  pid=1636 comm="auditd"
name="oom_adj" dev=proc ino=107216925 scontext=system_u:system_r:auditd_t
tcontext=system_u:system_r:auditd_t tclass=file
audit(1133022020.867:4): arch=40000003 syscall=5 success=no exit=-13 a0=8182c8
a1=20001 a2=1 a3=819032 items=1 pid=1636 auid=4294967295 uid=0 gid=0 euid=0
suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 comm="auditd" exe="/sbin/auditd"
audit(1133022020.867:4):  cwd="/"
audit(1133022020.867:4): item=0 name="/proc/self/oom_adj" flags=100
 inode=107216925 dev=00:03 mode=0100644 ouid=0 ogid=0 rdev=00:00
SELinux: initialized (dev rpc_pipefs, type rpc_pipefs), uses genfs_contexts
Bluetooth: Core ver 2.7
NET: Registered protocol family 31
Bluetooth: HCI device and connection manager initialized
Bluetooth: HCI socket layer initialized
Bluetooth: L2CAP ver 2.7
Bluetooth: L2CAP socket layer initialized
Bluetooth: RFCOMM ver 1.5
Bluetooth: RFCOMM socket layer initialized
Bluetooth: RFCOMM TTY layer initialized
SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
lp0: using parport0 (interrupt-driven).
lp0: console ready
eth0: no IPv6 routers present
application mixer_applet2 uses obsolete OSS audio interface
APIC error on CPU0: 00(08)
APIC error on CPU1: 00(01)
APIC error on CPU0: 08(02)
Comment 2 Dave Jones 2006-02-03 00:15:01 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 3 John Thacker 2006-05-04 21:57:09 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.